package com.tptj.demo.hg.transfer.data.set.manager.provider;

import com.fr.base.TableData;
import com.fr.decision.fun.impl.AbstractTransferDataSetManagerProvider;
import com.fr.general.xml.GeneralXMLTools;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/7
 **/
@EnableMetrics
public class Demo extends AbstractTransferDataSetManagerProvider<SpData> {
    @Override
    public Class<? extends TableData> getDataSetClass() {
        return SpData.class;
    }
    @Override
    @Focus(id = "com.tptj.demo.hg.transfer.data.set.manager.provider.v10", text = "TransferDataSetManagerProvider")
    public String serialize(SpData data) throws Exception {
        return GeneralXMLTools.writeXMLableAsString(data);
    }
    @Override
    public SpData deserialize(String config) throws Exception {
        SpData data = new SpData();
        GeneralXMLTools.readStringAsXMLable(config,data);
        return data;
    }
    @Override
    public String[] getDependencyPaths(SpData data) throws Exception {
        //如果数据集依赖了某些文件，则需要使用该依赖，将所有要一起导出的文件路径给出
        return new String[0];
    }
}
